<div class="plc output-statement device-statement" >
    <div class="plc-menu">
        {{config.title}}
    </div>
    <div class="device-status-move-module move-module"
         ng-class="{'transform-animateOut':bodyConfig.animateOut,'transform-select':bodyConfig.animateSelect}">
        <div class="plc-content output-statement-heading">
            <div class="row">
                <div class="col-sm-12">
                    <div class="public-horizon-form">
                    	<div class="public-horizon">
                        <div class="horizon-btns horizon-label">
                            <div class="radio radio-primary radio-inline">
                                <input type="radio" id="inlineRadio4" name="identity" ng-click="changeSelect('F')">
                                <label for="inlineRadio4" > 按工厂查询</label>
                            </div>
                        </div>
                        <div class="horizon-btns horizon-label">
                            <div class="radio radio-primary radio-inline">
                                <input type="radio" id="inlineRadio1" name="identity" ng-click="changeSelect('W')" >
                                <label for="inlineRadio1"> 按生产区域查询 </label>
                            </div>
                        </div>
                        <div class="horizon-btns horizon-label">
                            <div class="radio radio-primary radio-inline">
                                <input type="radio" id="inlineRadio2" name="identity" ng-click="changeSelect('L')">
                                <label for="inlineRadio2" > 按拉线查询 </label>
                            </div>
                        </div>
                        <div class="horizon-btns horizon-label">
                            <div class="radio radio-primary radio-inline">
                                <input type="radio" id="inlineRadio3" name="identity" ng-click="changeSelect('RT')">
                                <label for="inlineRadio3" > 按设备类型查询 </label>
                            </div>
                        </div>
                        <div style="margin-left: auto;margin-right: 10%">
                            <div class="horizon-btns">
                                <button class="btn btn-primary" ng-click="queryDatas()" ng-disabled="config.queryBtn">查询</button>
                            </div>
                        </div>
                    	</div>
                        <div class="public-horizon">
                            <label style="width: 53px;" class="horizon-label label-4"><span class="text-red" ng-if="config.showFactory">*</span>工厂：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(deviceInput)}">
                                    <input ng-init="deviceInput=false" ng-focus="deviceInput=true"
                                           ng-keyup="upModel()" ng-disabled="false"
                                           ng-blur="deviceInput=false" type="text"
                                           value="" placeholder="搜索" class="form-control ad-left-child"
                                           ng-model="statementConfig.factoryContentDesc" ng-change="controlQueryBtn()">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toFactoryChoose()"
                                       ng-if="!statementConfig.factoryContentDesc"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus"
                                       ng-click="deleteAll('factoryCode')" ng-if="statementConfig.factoryContentDesc"></i>
                                </div>
                            </div>
                            <label class="horizon-label label-4"><span class="text-red" ng-if="config.showWorkArea">*</span>生产区域：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(focusInput)}">
                                    <input ng-init="focusInput=false" ng-focus="focusInput=true"  ng-blur="focusInput=false"
                                           type="text" value="" placeholder="搜索" class="form-control ad-left-child" ng-disabled="true"
                                           ng-model="statementConfig.currentWorkCenterDesc" ng-change="disableBtn()" ng-keyup="upModel('workArea')">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toAreaHelp()" ng-if="config.showSelectArea"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('area')" ng-if="!config.showSelectArea"></i>
                                </div>
                            </div>
                            <label class="horizon-label label-4"><span class="text-red" ng-if="config.showLineArea">*</span>拉线：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(lineInput)}">
                                    <input ng-init="lineInput=false" ng-focus="lineInput=true"
                                           ng-keyup="upModel('workLine')" ng-disabled="true"
                                           ng-blur="lineInput=false" type="text" value="" placeholder="搜索"
                                           class="form-control ad-left-child" ng-model="statementConfig.currentLineDesc"
                                           ng-change="lineChanged('S')">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toWireLineHelp()"
                                       ng-if="config.showSelectLine"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('line')"
                                       ng-if="!config.showSelectLine"></i>
                                </div>
                            </div>
                            <label class="horizon-label label-4"><span class="text-red" ng-if="config.showResourceType">*</span>设备类型：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(deviceTypeInput)}">
                                    <input ng-init="deviceTypeInput=false" ng-focus="deviceTypeInput=true"
                                           ng-keyup="upModel('deviceCode')" ng-disabled="true"
                                           ng-blur="deviceTypeInput=false" type="text"
                                           value="" placeholder="搜索" class="form-control ad-left-child"
                                           ng-model="statementConfig.currentDeviceTypeDesc" ng-change="deviceTypeChanged('T')">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toDeviceTypeHelp()"
                                       ng-if="config.deviceType"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus"
                                       ng-click="deleteAll('deviceType')" ng-if="!config.deviceType"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <move-template></move-template>
    <div class="plc-content plato-statement-content">
        <div class="row">
            <div class="col-sm-12">
                <div class="public-horizon-form" style="padding-top: 10px;padding-bottom: 5px;display: -webkit-box;display: -webkit-flex;display: -moz-box;display: -ms-flexbox;display: flex;">
                    <div style="height: 20px;width: 40px;background-color:#FF0000;margin-left: 15px;color: #FFFFFF;text-align: center;line-height: 20px" ng-click="testHref()"></div>
                    <div style="height: 20px;line-height: 20px"><span>停机</span></div>
                    <div style="height: 20px;width: 40px;background-color:#FFFF00;margin-left: 15px;color: #FFFFFF;text-align: center;line-height: 20px"></div>
                    <div style="height: 20px;line-height: 20px"><span>待机</span></div>
                    <div style="height: 20px;width: 40px;background-color:#92D050;margin-left: 15px;color: #FFFFFF;text-align: center;line-height: 20px"></div>
                    <div style="height: 20px;line-height: 20px"><span>运转</span></div>
                    <div style="color: #BDBDBD;margin-left: 35px;font-size: small;">
                        <label style="font-weight: 100; margin-top: 1.5px;">提示：圆形的R,Y,G可以点击查询相应设备当前状态明细 --- 若各状态设备明细与主界面显示设备数量不一致,请点击查询刷新</label></div>
                </div>
            </div>
        </div>
        <!--<div class="row">-->
            <!--<div class="col-sm-12">-->
                <!--<div ng-if="config.testShowStatus" style="height: 30px;width: 50px" id="divTest">3333333333333</div>-->
            <!--</div>-->
        <!--</div>-->
        <div class="row">
            <div class="col-sm-12">
                <div class="public-horizon" style="margin-bottom: 0px;flex-wrap: wrap;">
                <div ng-class="{'col-sm-12':item.averageNum==1,'col-sm-6':item.averageNum==2,'col-sm-4':item.averageNum==3,'col-sm-3':item.averageNum==4}" style="padding-right: 15px;" ng-click="clickItem($index)" ng-repeat="item in config.deviceGlobalList track by $index">
                   <div style="border: 1px solid #ccc;border-radius: 10px;margin-top: 5px;background-color:#F2F2F2;">
                    <!--<div class="px-device-real-item" style="padding-top: 30px;padding-left: 10%;color:#FEFFEA;font-size: 19px;white-space: nowrap;height: 100%;border-top-left-radius: 8px;border-bottom-left-radius: 8px;">-->
                    <!--<div><span>{{item.name}}</span></div>-->
                    <!--<div><span>当前未在生产的设备数：</span></div>-->
                    <!--<div><span>{{item.age}}</span></div>-->
                    <!--<div class="horizon-btns">-->
                        <!--<button class="btn btn-primary" ng-click="detailModalShow(item)">详情</button>-->
                    <!--</div>-->
                    <!--</div>-->
                    <div style="text-align: center; margin-top: 10px;color: #5B92D6;padding-left: 5px;padding-right: 5px;">
                        <label style="color: #7287A0">{{item.dimensionName}}</label>
                        <br>
                        <label style="color: #5579BA"  >设备总数:{{item.resourceCount}} &nbsp; 当前产量:{{item.productionCount}}</label>
                    </div>
                    <div style="height: 140px;">
                    <div style="height: 140px;display: -webkit-box;display: -webkit-flex;display: -moz-box;display: -ms-flexbox;display: flex;" class="col-sm-4">
                        <div style="position: absolute;line-height: 14px;left: 7px;width: 32%;height: 35px;bottom: 0px;word-break: break-all">
                            <div>{{item.redNum}}</div>
                        </div>
                        <div style="height: 140px;width: 100%;display: -webkit-box;display: -webkit-flex;display: -moz-box;display: -ms-flexbox;display: flex;-moz-flex-direction: column-reverse;-webkit-flex-direction: column-reverse;flex-direction: column-reverse;-moz-align-items: center;-webkit-align-items: center;align-items: center;">
                        <div style="height: 125px;display: -webkit-box;display: -webkit-flex;display: -moz-box;display: -ms-flexbox;display: flex;-moz-flex-direction: column-reverse;-webkit-flex-direction: column-reverse;flex-direction: column-reverse;-moz-align-items: center;-webkit-align-items: center;align-items: center;">
                            <div class="px-device-real-item-red" style="width: 10px"></div>
                            <div class="px-device-real-item-red-without" style="display: -webkit-box;display: -webkit-flex;display: -moz-box;display: -ms-flexbox;display: flex;-moz-flex-direction: column-reverse;-webkit-flex-direction: column-reverse;flex-direction: column-reverse"><label style="margin-bottom: 0px">{{item.redPercent}}</label></div>
                        </div>
                        </div>
                    </div>
                    <div style="height: 140px;display: -webkit-box;display: -webkit-flex;display: -moz-box;display: -ms-flexbox;display: flex;" class="col-sm-4">
                        <div style="position: absolute;line-height: 14px;left: 7px;width: 32%;height: 35px;bottom: 0px;word-break: break-all">
                            <div>{{item.yellowNum}}</div>
                        </div>
                        <div style="height: 140px;width: 100%;display: -webkit-box;display: -webkit-flex;display: -moz-box;display: -ms-flexbox;display: flex;-moz-flex-direction: column-reverse;-webkit-flex-direction: column-reverse;flex-direction: column-reverse;-moz-align-items: center;-webkit-align-items: center;align-items: center;">
                        <div style="height: 125px;display: -webkit-box;display: -webkit-flex;display: -moz-box;display: -ms-flexbox;display: flex;-moz-flex-direction: column-reverse;-webkit-flex-direction: column-reverse;flex-direction: column-reverse;-moz-align-items: center;-webkit-align-items: center;align-items: center;" class="col-sm-4">
                            <div class="px-device-real-item-yellow" style="width: 10px"></div>
                            <div class="px-device-real-item-yellow-without" style="display: -webkit-box;display: -webkit-flex;display: -moz-box;display: -ms-flexbox;display: flex;-moz-flex-direction: column-reverse;-webkit-flex-direction: column-reverse;flex-direction: column-reverse"><label style="margin-bottom: 0px">{{item.yellowPercent}}</label></div>
                        </div>
                        </div>
                    </div>
                    <div style="height: 140px;display: -webkit-box;display: -webkit-flex;display: -moz-box;display: -ms-flexbox;display: flex;" class="col-sm-4" >
                        <div style="position: absolute;line-height: 14px;left: 7px;width: 32%;height: 35px;bottom: 0px;word-break: break-all">
                            <div>{{item.greenNum}}</div>
                        </div>
                        <div style="height: 140px;width: 100%;display: -webkit-box;display: -webkit-flex;display: -moz-box;display: -ms-flexbox;display: flex;-moz-flex-direction: column-reverse;-webkit-flex-direction: column-reverse;flex-direction: column-reverse;-moz-align-items: center;-webkit-align-items: center;align-items: center;">
                        <div style="height: 125px;display: -webkit-box;display: -webkit-flex;display: -moz-box;display: -ms-flexbox;display: flex;-moz-flex-direction: column-reverse;-webkit-flex-direction: column-reverse;flex-direction: column-reverse;-moz-align-items: center;-webkit-align-items: center;align-items: center;" class="col-sm-4">
                            <div class="px-device-real-item-green" style="width: 10px"></div>
                            <div class="px-device-real-item-green-without" style="display: -webkit-box;display: -webkit-flex;display: -moz-box;display: -ms-flexbox;display: flex;-moz-flex-direction: column-reverse;-webkit-flex-direction: column-reverse;flex-direction: column-reverse"><label style="margin-bottom: 0px">{{item.greenPercent}}</label></div>
                        </div>
                        </div>
                    </div>
                    </div>

                    <div style="border-top: 1px solid #ccc;width: 100%;height: 40px;display: -webkit-box;display: -webkit-flex;display: -moz-box;display: -ms-flexbox;display: flex;-moz-align-items: center;-webkit-align-items: center;align-items: center">
                       <div style="display: -webkit-box;display: -webkit-flex;display: -moz-box;display: -ms-flexbox;display: flex;-moz-justify-content: center;-webkit-justify-content: center;justify-content: center;-moz-align-items: center;-webkit-align-items: center;align-items: center" class="col-sm-4">
                           <button ng-mouseenter="enterEvent($index,'R')" ng-mouseleave="leaveEvent($index,'R')" class="btn btn-primary" ng-class="{true:'px-enter-button',false:'px-remove-button'} [!item.statusR]" style="border: 1px solid #FF0000;background-color: #FF0000;color: #828D77;" ng-click="detailModalShow($index,item,'R',1)"><span style="color:#CCF2F2">R</span></button>
                       </div>
                        <div style="display: -webkit-box;display: -webkit-flex;display: -moz-box;display: -ms-flexbox;display: flex;-moz-justify-content: center;-webkit-justify-content: center;justify-content: center;" class="col-sm-4">
                            <button ng-mouseenter="enterEvent($index,'Y')" ng-mouseleave="leaveEvent($index,'Y')" class="btn btn-primary" ng-class="{true:'px-enter-button',false:'px-remove-button'} [!item.statusY]" style="border: 1px solid #FFFF00;background-color: #FFFF00;color: #828D77;" ng-click="detailModalShow($index,item,'Y',2)"><span style="color:#CCF2F2">Y</span></button>
                        </div>
                        <div style="display: -webkit-box;display: -webkit-flex;display: -moz-box;display: -ms-flexbox;display: flex;-moz-justify-content: center;-webkit-justify-content: center;justify-content: center;" class="col-sm-4">
                            <button ng-mouseenter="enterEvent($index,'G')" ng-mouseleave="leaveEvent($index,'G')" class="btn btn-primary" ng-class="{true:'px-enter-button',false:'px-remove-button'} [!item.statusG]" style="border: 1px solid #92D050;background-color: #92D050;color: #828D77;" ng-click="detailModalShow($index,item,'G',3)"><span style="color:#CCF2F2 ">G</span></button>
                        </div>
                    </div>
                   </div>
                </div>
                </div>
            </div>
        </div>
    </div>
</div>